CrowBar | Get Quote Request | Corvus Skip to main content

Product: Smart Tech E+O

Get Quote Request

quoteRequest(id: $id)
Product
Smart Tech E+O
Method
POST
Endpoint
Sandbox: https://api-sandbox.corvusinsurance.com/q Production: https://crowbar.corvusinsurance.com/q
Authentication
Send the headers X-API-KEY, X-USER-EMAIL, X-USER-NAME with every request. See Authentication.
All Smart Tech E+O quotes will be referred to an underwriter for review and approval.
Following an underwriter review, when the quote is ready for review, the quote status will switch to QUOTES_SHARED. At this time, you may request the data and show it in your platform. You may subscribe to receive notifications about your quote. (see Webhooks).
Note: After data has been returned, it can take an additional minute for the quote PDF documents to be available.

Arguments

Required Required to submit Optional

Pass these as variables.

Get Quote Request arguments
Name Type Required Description
id ID! Required

Id of the quote request to get (see Create Quote Request)

The endorsementCoverages field returns all endorsements on the quote option. This field replaces the legacy endorsements connection, which is deprecated and should no longer be used.

endorsementCoverages fields
Name Type Description
code String!

Unique form code identifying the endorsement.

name String!

Human-readable name of the endorsement.

details JSON

JSON object containing endorsement-specific values such as limits and deductibles. Returns an empty object {} when the endorsement has additional data fields. Note: values previously available as top-level fields on the legacy endorsements connection (e.g. limitCents) are now found within this object (e.g. details.limit_cents).

Response

If the quote has not been updated:

Not updated response fields
Name Type Description
quoteRequest QuoteRequest
status QuoteRequestStatus!

If a quote request has not been submitted, the status property will be INCOMPLETE.

If the quote is not ready:

Not ready response fields
Name Type Description
quoteRequest QuoteRequest
status QuoteRequestStatus!

If a quote request is not ready, the status property will be SUBMITTED.

If the quote is declined:

Declined response fields
Name Type Description
quoteRequest QuoteRequest
status QuoteRequestStatus!

If a quote request is declined, the status property will be DECLINED and the reason will be listed as the declineLossReason property.

declineLossReason DeclineLossReason!
"DECLINE_CLAIMS_HISTORY"

Decline due to claims history.

"DECLINE_COMPETE_PREMIUM"

Did not offer terms because we are unable to compete with expiring premium.

"DECLINE_CRITICAL_VULNERABILITY"

Corvus Scan detected a critical vulnerability.

"DECLINE_OFFER_TERMS"

Declined to offer terms.

"DECLINE_POOR_CONTROLS"

Declined due to poor controls.

"DECLINE_UNDERWRITING_APPETITE"

Outside of our underwriting appetite.

"DECLINE_UNABLE_OFFER_TERMS"

Unable to offer the terms requested by the broker.

"DECLINE_LOW_CORVUS_SCORE"

Declined due to low Corvus Score.

"DECLINE_REVENUE_RESTRICTION"

Declined due to revenue restrictions.

"DECLINE_OUTSIDE_APPETITE_INDUSTRY"

Outside of our appetite due to industry.

"DECLINE_OUTSIDE_APPETITE_SIZE_RECORDS"

Outside of our appetite due to size or record count.

"DECLINE_OUTSIDE_APPETITE_TERRITORY"

Outside of our appetite due to territory.

"DECLINE_OUTSIDE_APPETITE_ATTACHMENT_POINT"

Outside of our appetite due to attachment point.

"DECLINE_OUTSIDE_APPETITE_PRICING_COVERAGE"

Outside of our appetite due to pricing or coverage.

"DECLINE_CORVUS_US"

Declined by Corvus US.

"DECLINE_RENEWAL_TERMS"

Declined to offer renewal terms due to our guidelines or appetite.

"DECLINE_CURRENTLY_WITH_TRAVELERS"

The account is currently with Travelers.

"DECLINE_INVALID_RETAIL_SUBMISSION"

Declined because retail submissions must be made by a retail brokerage.

"EXPIRED"

Auto-closed by Corvus. Set when a quote request is automatically closed (status CLOSED) 45 days after quotes were last shared.

"NOT_APPLICABLE"

The quote request has not been declined or closed.

"DUPLICATE"

This submission is a duplicate.

"OTHER"

If the quote is ready:

Note: in the scenario where multiple limit options were requested, quotes will only be returned for those options within appetite. Any option that is not quoted should be treated as not in appetite and a decline.

Ready response fields
Name Type Description
quoteRequest QuoteRequest
status QuoteRequestStatus!

If a quote request is ready, the status property will be QUOTES_SHARED.

The quoteRequest { quoteData { edges { node { upload { url } } } } } field: upload is null if the Quote Documents haven't been generated yet, and has a pre-signed url once they are.

Once the quote PDF has finished generating, the quoteRequest { quoteData { edges { node { upload { url } } } } } will be available.